LFR-FSW - Task #620

3.0.0.22
12/02/2016 07:52 AM - paul leroy

Status: Closed Start date: 12/02/2016
Priority: High Due date:

Assignee: Veronique bouzid % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision:

Description

Suite a un probleme de numérotation de la 3.0.0.21 (livrée en #619), numérotée par erreur 3.0.0.20, j'ai généré la révision 3.0.0.22 a
partir des méme sources, en changeant juste le numéro.
fsw Changeset: 277 (8b34cd5a6cdb)

3.0.0.21 was wrongly numbered 3.0.0.20. this is the only correction
_ fsw Changeset: 275 (7563el313laa)

modification in snapshot synchro (some intervals were incorrect) but this was
not detectable with the configurations used for the tests

values < 22 are forbidden for the snapshot period

Related issues:

Related to Task #624: Long test with SBM1 and SBM2 FSW 3.0.0.22 Closed 12/02/2016
Related to Task #630: Long Test in normal mode in 3.0.0.22 Closed 18/02/2016
History

#1 - 12/02/2016 08:19 AM - Veronique bouzid

Installation du software le 12/02/2016
dans /opt/LFR/LFR-FSW/3.0.0.22
Adaptation des scripts pour utiliser cette version.

Voici donc le nouvel environnement de test

FSW 3.0.0.22

VHDL 1.1.89

EM sans Timegen

SocExplorerEngine.getSocExplorer: Version = 0.6.2, Branch = default, Changeset = 819d0376d481
StarDundee

Lancement du script /nome/validation/just_hk_survey.py :OK

La premiere HK montre bien la bonne version du soft utilisé:

08:07:28.864291, TM_LFR_HK, CCSDS_VERSION_NUMBER = 0, PACKET TYPE: TM_PACKET = 0, DATA _FIELD_HEADER_FLAG:
WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET _CATEGORY: HK_ROUTINE = 4, (PACKET _ID=0xcc4),
SEGMENTATION_GROUPING_FLAG: STANDALONE_PACKET = 3, SEQUENCE_CNT=0, (PACKET SEQUENCE_CONTROL=0xc000),

PACKET LENGTH=129, SPARE_1=0, PUS_VERSION = 1, SPARE_2-0, SERVICE_TYPE:
HOUSEKEEPING_AND_DIAGNOSTIC_DATA_REPORTING = 3, SERVICE_SUBTYPE: HK_PARAMETER_REPORT = 25, DESTINATION_ID:
GROUND = 0, TIME=0x8000000248c0, PA_LFR_HK_REPORT SID: LFR_HK_SID = 1, HK_LFR_MODE: STANDBY = 0,
HK_LFR_DPU_SPW_ENABLED: ENABLED = 1, HK_LFR_DPU_SPW_LINK_STATE: RUN = 5, SPARE=0x0, HK_LFR_SC_POTENTIEL_FLAG: ON
-1, HK_LFR_MAG_FIELDS_FLAG: OFF = 0, SY_LFR_WATCHDOG_ENABLED: ENABLED = 1, HK_LFR_CALIB_ENABLED: DISABLED = 0,
HK_LFR_RESET CAUSE: POWER_ON =1, SY_LFR_SW_VERSION_N1=3, SY_LFR_SW_VERSION_N2=0, SY LFR_SW_VERSION_N3=0,
SY_LFR_SW_VERSION_N4=22, SY LFR_FPGA VERSION N1=1,SY LFR FPGA VERSION N2=1, SY LFR FPGA VERSION N3=89,
HK_LFR_CPU_LOAD=3.5294117647, HK_LFR_CPU_LOAD_MAX=3.5294117647, HK_LFR_CPU_LOAD_AVE=0.0,
HK_LFR_Q_SD_FIFO_SIZE_MAX=0, HK_LFR_Q_SD_FIFO_SIZE=50, HK_LFR_Q_RV_FIFO_SIZE_MAX=0, HK_LFR_Q_RV_FIFO_SIZE=10,
HK_LFR_Q_PO_FIFO_SIZE_MAX=0, HK_LFR_Q_P0_FIFO_SIZE=10, HK_LFR_Q P1_FIFO_SIZE_MAX=0, HK_LFR_Q_P1_FIFO_SIZE=10,
HK_LFR_Q_P2 FIFO_SIZE_MAX=0, HK_LFR_Q_P2_FIFO_SIZE=5, HK_LFR_UPDATE_INFO_TC_CNT=0, HK_LFR_UPDATE_TIME_TC_CNT=0,
HK_LFR_EXE_TC_CNT=0, HK_LFR_REJ_TC_CNT=0, HK_LFR_LAST_EXE_TC_ID=0x0, HK_LFR_LAST_EXE_TC_TYPE=0,
HK_LFR_LAST EXE TC SUBTYPE=0, HK_LFR LAST EXE_TC TIME=0x000000000000, HK_LFR_LAST REJ TC_ID=0x0,

HK_LFR_LAST REJ_TC_TYPE=0, HK_LFR_LAST_REJ_TC_SUBTYPE=0, HK_LFR_LAST_REJ_TC_TIME=0x000000000000,
HK_LFR_LE_CNT=1, HK_LFR_ME_CNT=0, HK_LFR_HE_CNT=0, HK_LFR_LAST ER_RID: LE_LFR_TIMEC = 42129,
HK_LFR_LAST_ER_CODE: MISSING = 21, HK_LFR_LAST_ER_TIME=0x800000022f17, HK_LFR_VHDL_ AA=0, HK_LFR_VHDL_SM=0,
HK_LFR_VHDL_FFT=0, HK_LFR_VHDL_SR=0, HK_LFR_VHDL_CIC=0, HK_LFR_VHDL_HK=0, HK_LFR_VHDL_IIR=0, HK_LFR_VHDL_CAL=0,
HK_LFR_DPU_SPW_PKT_RCV_CNT=0, HK_LFR_DPU_SPW_PKT_SENT_CNT=0, HK_LFR_DPU_SPW_TICK_OUT_CNT=0,
HK_LFR_DPU_SPW_LAST TIMC=0, HK_LFR_LAST FAIL_ADDR=0x0, HK_LFR _TEMP_SCM=55.67degC, HK_LFR _TEMP_PCB=16.54degC,
HK_LFR_TEMP_FPGA=18.24degC, HK_LFR_SC_V_F3=982, HK_LFR_SC_E1_F3=499, HK_LFR_SC_E2 F3=780, SPARE=0x0, SY_LFR_BW-=1,
SY_LFR_SP0=0, SY_LFR_SP1=0, SY_LFR_R0=0, SY_LFR_R1=0, SY_LFR_R2=0, HK_LFR_DPU_SPW_PARITY=0,
HK_LFR_DPU_SPW_DISCONNECT=0, HK_LFR_DPU_SPW_ESCAPE=0, HK_LFR _DPU_SPW_CREDIT=0,
HK_LFR_DPU_SPW_WRITE_SYNC=0, HK_LFR_DPU_SPW_RX_AHB=0, HK_LFR_DPU_SPW_TX_AHB=0,
HK_LFR_DPU_SPW_EARLY_EOP=0, HK_LFR_DPU_SPW_INVALID_ADDR=0, HK_LFR_DPU_SPW_EEP=0,
HK_LFR_DPU_SPW_RX_TOO BIG=0, HK_LFR_TIMECODE ERRONEOUS=0, HK_LFR_TIMECODE_MISSING=1,
HK_LFR_TIMECODE_INVALID=0, HK_LFR_TIME_TIMECODE_IT=0, HK_LFR_TIME_NOT_SYNCHRO=0, HK_LFR_TIME_TIMECODE_CTR=0,
HK_LFR_BUFFER_DPU_TC_FIFO=0, HK_LFR_BUFFER_DPU_TM_FIFO=0, HK_LFR_AHB_CORRECTABLE=0,
HK_LFR_AHB_UNCORRECTABLE=0, SPARE=0x0

Les champs en gras sont ceux qui ont été générés depuis les dernieres versions > 3.0.0.10, excepté pour HK_LFR_RESET_CAUSE.
On voit bien que I'absence de reception de TIMECODE est correctement détectée et reportée dans les paramétres adéquats. Cette erreur n'est
comptabilisée qu'une seule fois et non a chaque HK recu.

La dermere HK

8:07:55.864038, TM_LFR_HK, CCSDS_VERSION_NUMBER = 0, PACKET_TYPE: TM_PACKET = 0, DATA_FIELD HEADER_FLAG:
WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET_CATEGORY: HK_ROUTINE = 4, (PACKET_ID=0xcc4),
SEGMENTATION_GROUPING_FLAG: STANDALONE_PACKET = 3, SEQUENCE_CNT=27, (PACKET_SEQUENCE_CONTROL=0xc01b),
PACKET_LENGTH=129, SPARE_1=0, PUS_VERSION = 1, SPARE_2=0, SERVICE_TYPE:
HOUSEKEEPING_AND_DIAGNOSTIC_DATA_REPORTING = 3, SERVICE_SUBTYPE: HK_PARAMETER_REPORT = 25, DESTINATION_ID:
GROUND = 0, TIME=0x8000001d48bf, PA_LFR_HK_REPORT_SID: LFR_HK_SID = 1, HK_LFR_MODE: STANDBY = 0,
HK_LFR_DPU_SPW_ENABLED: ENABLED =1, HK_LFR_DPU_SPW_LINK_STATE: RUN =5, SPARE=0x0, HK_LFR_SC_POTENTIEL_FLAG: ON
=1, HK_LFR_MAG_FIELDS FLAG: OFF =0, SY_LFR_WATCHDOG_ENABLED: ENABLED = 1, HK_LFR_CALIB_ENABLED: DISABLED =0,
HK_LFR_RESET_CAUSE: POWER_ON =1,SY_LFR_SW_VERSION_N1=3, SY_LFR_SW_VERSION_N2=0, SY_LFR_SW_VERSION_N3=0,
SY_LFR_SW_VERSION_N4=22, SY_LFR_FPGA VERSION_N1=1, SY_LFR_FPGA_VERSION_N2=1, SY LFR_FPGA VERSION_N3=89,
HK_LFR_CPU_LOAD=0.392156862745, HK_LFR_CPU_LOAD_ MAX=3.5294117647, HK_LFR_CPU_LOAD_AVE=0.0,
HK_LFR_Q_SD_FIFO_SIZE_MAX=1, HK_LFR_Q_SD_FIFO_SIZE=50, HK_LFR_Q_RV_FIFO_SIZE_MAX=0, HK_LFR_Q_RV_FIFO_SIZE=10,
HK_LFR_Q PO _FIFO_SIZE_MAX=0, HK_LFR_Q_PO_FIFO_SIZE=10, HK_LFR_Q_P1_FIFO_SIZE_MAX=0, HK_LFR_Q_P1_FIFO_SIZE=10,
HK_LFR_Q P2 FIFO_SIZE_MAX=0, HK_LFR_Q P2 FIFO_SIZE=5, HK_LFR_UPDATE_INFO_TC_CNT=0, HK_LFR_UPDATE_TIME_TC_CNT=0,
HK_LFR_EXE_TC_CNT=0, HK_LFR_REJ _TC_CNT=0, HK_LFR_LAST EXE_TC_ID=0x0, HK_LFR_LAST_EXE TC TYPE=0,

HK_LFR_LAST EXE_TC_SUBTYPE=0, HK_LFR_LAST_EXE_TC_TIME=0x000000000000, HK_LFR_LAST REJ_TC_ID=0x0,

HK_LFR_LAST REJ_TC_TYPE=0, HK LFR LAST REJ_TC_SUBTYPE=0, HK LFR_LAST_REJ_TC_TIME=0x000000000000,
HK_LFR_LE_CNT=1, HK_LFR_ME_CNT=0, HK_LFR_HE_CNT=0, HK_LFR_LAST_ER_RID: LE_LFR_TIMEC = 42129,
HK_LFR_LAST_ER_CODE: MISSING = 21, HK_LFR_LAST_ER_TIME=0x800000022f17, HK_LFR_VHDL_AA=0, HK_LFR_VHDL_SM=0,
HK_LFR_VHDL FFT=0, HK_LFR_VHDL_SR=0, HK_LFR_VHDL CIC=0, HK_LFR_VHDL HK=0, HK_LFR_VHDL IIR=0, HK_LFR_VHDL_CAL=0,
HK_LFR_DPU_SPW_PKT_RCV_CNT=0, HK_LFR_DPU_SPW_PKT _SENT_CNT=27, HK_LFR_DPU_SPW_TICK_OUT_CNT=0,
HK_LFR_DPU_SPW_LAST_TIMC=0, HK_LFR_LAST_FAIL_ADDR=0x0, HK_LFR_TEMP_SCM=55.58degC, HK_LFR_TEMP_PCB=16.52degC,
HK_LFR_TEMP_FPGA=18.36degC, HK_LFR_SC_V_F3=977, HK_LFR_SC_E1_F3=499, HK_LFR_SC_E2 F3=777, SPARE=0x0, SY_LFR_BW-=1,
SY_LFR_SP0=0, SY_LFR_SP1=0, SY_LFR_R0=0, SY_LFR _R1=0, SY_LFR_R2=0, HK_LFR_DPU_SPW_PARITY=0,
HK_LFR_DPU_SPW_DISCONNECT=0, HK_LFR_DPU_SPW_ESCAPE=0, HK_LFR_DPU_SPW_CREDIT=0,
HK_LFR_DPU_SPW_WRITE_SYNC=0, HK_LFR_DPU_SPW_RX_AHB=0, HK_LFR_DPU_SPW_TX_ AHB=0,
HK_LFR_DPU_SPW_EARLY_EOP=0, HK_LFR_DPU_SPW_INVALID_ADDR=0, HK_LFR_DPU_SPW_EEP=0,

HK_LFR_DPU_SPW_RX TOO_BIG=0, HK_LFR_TIMECODE_ERRONEOUS=0,* HK_LFR_TIMECODE_MISSING=1*,
HK_LFR_TIMECODE_INVALID=0, HK_LFR_TIME_TIMECODE_IT=0, HK_LFR_TIME_NOT_SYNCHRO=0, HK_LFR_TIME_TIMECODE_CTR=0,
HK_LFR_BUFFER_DPU_TC_FIFO=0, HK_LFR_BUFFER_DPU_TM_FIFO=0, HK_LFR_AHB_CORRECTABLE=0,
HK_LFR_AHB_UNCORRECTABLE=0, SPARE=0x0

les fichiers de test (2016_02_12-08_07_56*) se trouvent dans /home/validation/data/R3/3.0.0.22/TESTS-UNITAIRES/just_hk.

Lancement du script /home/validation/just_normal_mode_swf_inconsistent.py pour tester SWP < 22 (#617) : OK

Lancement du script /opt/VALIDATION/_R3/test_modes-noTimegen_normal+sbm1+sbm2+normal_22s.py
- 1800s de Normal mode

- 900s de SBM1

- 900s de SBM2

- 600s de NORMAL

- 600s de BURST

- 600s de NORMAL

- Fin en STANDBY

#2 - 12/02/2016 10:13 AM - Veronique bouzid
- Assignee set to thomas chust

- Priority changed from Normal to High
Les fichiers (2016_02_12_08_23 12_packet*) se trouvent sur pc-instru Weekly Erased/Thomas/run-2016-02-12-3.0.0.22-1.1.89.
Les fichiers sont egelement sur pc-faust9 dans /home/validation/data/R3/3.0.0.22/TESTS-UNITAIRES/all-modes.

#3 - 12/02/2016 04:59 PM - Veronique bouzid
- Related to Task #624: Long test with SBM1 and SBM2 FSW 3.0.0.22 added

#4 - 12/02/2016 05:09 PM - thomas chust

- File tests_time_asm_VHDL-1.1.89 FSW-3.0.0.22 2016 02 12 _test added
- File tests_time_swf_VHDL-1.1.89_FSW-3.0.0.22_2016_02_12_test added
- File plot_delta_ SWF_FO0_test.png added

- File plot_delta_ SWF_F1_test.png added

- File plot_delta_ SWF_F2_test.png added

- File tests_time_cwf_VHDL-1.1.89_FSW-3.0.0.22_2016_02_12_test added

- Assignee changed from thomas chust to Veronique bouzid

Tests fait. Voir les fichiers. Résults similaires a la 3.0.0.20 (#615). OK

#5 - 14/02/2016 10:15 AM - Veronique bouzid
- Related to Support #627: Commutation immediate added

#6 - 14/02/2016 10:16 AM - Veronique bouzid
- Related to deleted (Support #627: Commutation immediate)

#7 - 18/02/2016 01:05 PM - bruno katra
- Status changed from New to In Progress

- % Done changed from 0 to 100

Bonjour a tous.

Nous venons de livrer le FSW 3.0.0.22 via l'issue JIRA dédiée :
https://jira-lesia.obspm.fr/browse/RPWSSS-197

Il'y a un résumé des nouvelles modifications et fonctionnalités dans le commentaire du JIRA.
C'est la version que nous utiliserons pour la calibration/validation du PFM LFR.

Bonne journée

Bruno

#8 - 19/02/2016 09:28 AM - thomas chust
- Related to Task #630: Long Test in normal mode in 3.0.0.22 added

#9 - 22/02/2016 05:49 PM - Veronique bouzid

- Status changed from In Progress to Closed

#10 - 08/03/2016 01:50 PM - paul leroy
- File header_3_0_0_22.zip added
- File src_3 _0_0_22.zip added

Fichiers sources et headers de la version 3.0.0.22.

Files

README 18.5 KB 12/02/2016 paul leroy
fsw-3-0-0-22 4.06 MB 12/02/2016 paul leroy
tests_time_asm_VHDL-1.1.89_FSW-3.0.0.22_2016_02_12_test 204 KB 12/02/2016 thomas chust
